# Shares 1.9.14 Patch Level 3 for Linux
**Operating Systems:** Linux
**Date: 08/11/2020** 

This patch includes the following fixes:

### Patch Level 3 Fixes
| Jira Issue | Description                                                                                                    |
| ---------- |:-------------------------------------------------------------------------------------------------------------- |
| AS-444     | Active Directory users cannot login if password has special character. |
| AS-439     | The jQuery version does not include the latest security benefits. |
| AS-436     | The User "Load More" button does not load more users. |

### Patch Level 2 Fixes
| Jira Issue | Description                                                                                                    |
| ---------- |:-------------------------------------------------------------------------------------------------------------- |
| AS-420     | User input forms require increased security.                                          |
| AS-419     | When browsing files, clicking **load more** truncates the current list of files instead of showing more files. |

### Patch Level 1 Fixes
| Jira Issue | Description                                                     |
| ---------- | --------------------------------------------------------------- |
| AS-411     | The footer does not show the current patch level.               | 
| AS-402     | Shares constantly attempts to restart StatsCollector service.   |
| AS-397     | Users with only Upload permissions cannot upload files.         |
| AS-395     | Bookmarks created from the bookmark drop-down menu do not work. |


## PATCH INSTRUCTIONS

### Applying the patch for Linux systems:
1. Download the patch file (`IBM_Aspera_Shares_1.9.14_Linux_Patch_Level_3.zip`) and unzip it.

3. Make sure to back-up all the files in the shares folder (``/opt/aspera/shares/``).

4. Run the following command to replace existing files with patch files:

    ```shell
    /bin/cp -r <path/to/patch/folder>/IBM_Aspera_Shares_1.9.14_Linux_Patch_Level_3/opt/* /opt/ 
    
   chown -R nobody:nobody /opt/aspera/shares/u/shares/ 
   
   chmod +x /opt/aspera/shares/etc/runit/runlevels/up/stats-collector/finish
   ```

4. Restart Console service:

    ```shell
    service aspera-shares restart 
    ```

5. Confirm the patch was applied by checking the patch level listed in the footer (beneath the version number).

© IBM Aspera. Copyright IBM Corp. 2009, 2020
